MeiroDocs

Authentication

+ Response 200 (application/json)

Section: Group Authentication. Base URL: https://api.instance_name.meiro.io/.

Authentication Options [/auth_options]

Get an Authentication Options [GET]

  • Response 200 (application/json)
    • Body
{
    "authentication_options": {
        "is_credentials_login_enabled": true,
        "is_okta_login_enabled": false,
        "okta_auth_link": null
    }
}

Login [/login]

Get an Access Token [POST]

Performs the login. Takes in an plain text email and password.

Returns an access token which is passed along as a header with all future requests to authenticate the user.

Access token expires after 8 hours.

  • Attributes

    • email: example@email.com (string) - User's e-mail address
    • password: my-password (string) - User's password
  • Request (application/json)

  • Response 200 (application/json)

    • Body
{
    "token": "1234567890abcdef"
}

Refresh the Access Token [PATCH]

Access token can be refreshed maximally 4 hours after it expires.

  • Attributes

    • token: 1234567890abcdef (string)
  • Request (application/json)

  • Response 200 (application/json)

    • Body
{
    "token": "1234567890abcdef"
}

Log-out [DELETE]

  • Attributes

    • token: 1234567890abcdef (string)
  • Request (application/json)

  • Response 200 (application/json)

    • Body
{
    "message": "Successfully logged-out"
}

Okta Login [/okta_login]

Get an Access Token [POST]

Performs the Okta login. Takes in the code from the Okta OAUTH response.

Returns an access token which is passed along as a header with all future requests to authenticate the user.

  • Attributes

    • code: 1234567890abcdef (string) - Code received from the Okta
  • Request (application/json)

  • Response 200 (application/json)

    • Body
{
    "token": "1234567890abcdef"
}

On this page